GNET_STATS_COPY_(9)

NAME
gnet_stats_copy_rate_est - copy rate estimator statistics into statistics TLV

SYNOPSIS

int gnet_stats_copy_rate_est (struct gnet_dump * d, struct gnet_stats_rate_est * r);

ARGUMENTS

d   dumping handle

r   rate estimator statistics

DESCRIPTION

Appends the rate estimator statistics to the top level TLV created by gnet_stats_start_copy.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.